<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: feedback_panel.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<link rel='stylesheet' href='".INFUSIONS."feedback_panel/css/style.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."feedback_panel/js/jquery.js'></script>");
add_to_head("
<script>
$(function() {
	$('a[rel]').overlay(function() {
		var wrap = this.getContent().find('div.wrap');
		if (wrap.is(':empty')) {
			wrap.load(this.getTrigger().attr('href'));
		}
	});
});
</script>");

if (file_exists(INFUSIONS."feedback_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."feedback_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."feedback_panel/locale/English.php";
}

openside($locale['fd_001']);
echo "<div align='center'>";
echo "<b>".$locale['fd_003']."</b><br />";
echo "<img src='".INFUSIONS."feedback_panel/images/faq.png' alt='".$locale['fd_003']."' />";
echo "<a href='".INFUSIONS."feedback_panel/contact.php' rel='#overlay'><button type='button' class='button'>".$locale['fd_002']."</button></a>";
echo "</div>";
echo "<div class='overlay' id='overlay'>";
echo "<div class='wrap'></div>";
echo "</div>";
closeside();
?>